//Shader applying an 'overlay' layer effect to 2 textures.

//If you're changing this, make sure you keep the two textures named base and
//second, since that's what's used in the Drawing code.
uniform sampler2D base, second;

void main()
{
	vec4 b = texture2D(base, gl_TexCoord[0].st);
	vec4 a = texture2D(second, gl_TexCoord[1].st);
	vec4 c;

	b *= 255;
	a *= 255;

	c.r = (b.r/255) * (b.r + ((2*a.r)/255) * (255-b.r));
	c.g = (b.g/255) * (b.g + ((2*a.g)/255) * (255-b.g));
	c.b = (b.b/255) * (b.b + ((2*a.b)/255) * (255-b.b));
	c.a = 255;

	gl_FragColor = c/255;
}
