//	DivineStrings.cpp - Class to look after the StringModels for The Divine.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "DivineStrings.h"

//------------------------------------------------------------------------------
DivineStrings::DivineStrings():
level(0.0f)
{
	int i;

	for(i=(NumStrings-1);i>0;--i)
		strings[i].setInputString(&(strings[i-1]));
	strings[0].setInputString(&(strings[NumStrings-1]));
}

//------------------------------------------------------------------------------
DivineStrings::~DivineStrings()
{
	int i;

	for(i=0;i<NumStrings;++i)
		strings[i].setInputString(0);
}

//------------------------------------------------------------------------------
void DivineStrings::getAudio(float *buffer, int numSamples)
{
	int i, j;
	float tempf;

	if(level <= 0.0f)
		return;

	for(i=0;i<numSamples;++i)
	{
		strings[0].applyInput(buffer[i*2] * 0.5f * level);

		for(j=0;j<NumStrings;++j)
		{
			tempf = strings[j].getSample();
			buffer[i*2] += tempf * level * 0.12f;
			buffer[(i*2)+1] += tempf * level * 0.12f;
		}
	}
}

//------------------------------------------------------------------------------
void DivineStrings::setLevel(float val)
{
	level = val;
}
