//	DivineStrings.h - Class to look after the StringModels for The Divine.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef DIVINESTRINGS_H_
#define DIVINESTRINGS_H_

#include "StringModel.h"

///	Class to look after the StringModels for The Divine.
class DivineStrings
{
  public:
	///	Constructor.
	DivineStrings();
	///	Destructor.
	~DivineStrings();

	///	Returns the combined StringModels' audio.
	void getAudio(float *buffer, int numSamples);

	///	Used to fade in the sound as The Divine fades in.
	void setLevel(float val);
  private:
	///	How many StringModels we're using.
	enum
	{
		NumStrings = 6
	};

	///	Our StringModels.
	StringModel strings[NumStrings];

	///	Overall amplitude level.
	float level;
};

#endif
