//	GhostImage.h - A faint ghost image class.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef GHOSTIMAGE_H_
#define GHOSTIMAGE_H_

#include "TwoFloats.h"

#include <stdint.h>

class Drawer;

///	A faint ghost image class.
class GhostImage
{
  public:
	///	Constructor.
	GhostImage();
	///	Destructor.
	~GhostImage();

	///	Draws the image.
	void draw(Drawer *d, float fade, bool funTimes);
  private:
	///	The feather shader.
	static uint32_t shader;

	///	The image we're using.
	uint32_t image;
	///	The feather image we're using.
	uint32_t featherImage;
	///	The image's position.
	TwoFloats position;

	///	The image's scale/alpha.
	float scale;
	///	How fast the image scales.
	float speed;
};

#endif
