//	PostProc.h - Namespace containing the post-processing variables (shader &
//				 noise texture).
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef POSTPROC_H_
#define POSTPROC_H_

#include <vector>
#include <stdint.h>

///	Namespace containing the post-processing variables (shader & noise texture).
namespace PostProc
{

///	The shader.
extern uint32_t shader;
///	The noise image.
extern uint32_t images[4];
///	The feather images.
extern std::vector<uint32_t> featherImages;

};

#endif
